Bug 1468757 - cinder backup-create fails for incremental backup if latest incremental backup is deleted with Ceph as backend
cinder backup-create fails for incremental backup if latest incremental backu...
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 12.0 (Pike)
Assigned To: Chaynika Saikia
Avi Avraham
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 16:26 EDT by Chaynika Saikia
Modified: 2018-02-03 21:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkuchlan: automate_bug+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1703011 None None None 2018-01-25 14:16 EST
OpenStack gerrit 486678 None master: MERGED cinder: cinder incremental backup with ceph fails if last one deleted (Ia9c29bb720152d42bec273202fa49ca4b6a41ce2) 2018-01-26 11:45 EST
OpenStack gerrit 538298 None stable/pike: NEW cinder: cinder incremental backup with ceph fails if last one deleted (Ia9c29bb720152d42bec273202fa49ca4b6a41ce2) 2018-01-26 11:45 EST

  None (edit)
Description Chaynika Saikia 2017-07-07 16:26:31 EDT
Description of problem:

If the latest incremental backup for a volume is deleted, then the next time an incremental backup is done for that volume, it fails and instead does a full backup saying that the snapshot does not exist.


9203 Jul 07 15:49:26 localhost.localdomain cinder-backup[23880]: DEBUG cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77     -78d2280621ed admin None] returning [{'timestamp': u'1499456874.44', 'backup_id': u'3c4d0b03-1aee-4a3b-8386-0050befd0ffc', 'na     me': u'backup.3c4d0b03-1aee-4a3b-8386-0050befd0ffc.snap.1499456874.44'}] {{(pid=23880) get_backup_snaps /opt/stack/cinder/cind     er/backup/drivers/ceph.py:794}}
9204 Jul 07 15:49:26 localhost.localdomain cinder-backup[23880]: DEBUG cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77     -78d2280621ed admin None] Using --from-snap 'backup.3c4d0b03-1aee-4a3b-8386-0050befd0ffc.snap.1499456874.44' for incremental b     ackup of volume ebf16d3c-deb8-4168-9dfd-50d386860d42. {{(pid=23880) _backup_rbd /opt/stack/cinder/cinder/backup/drivers/ceph.p     y:636}}
9205 Jul 07 15:49:26 localhost.localdomain cinder-backup[23880]: INFO cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77-     78d2280621ed admin None] Snapshot='backup.3c4d0b03-1aee-4a3b-8386-0050befd0ffc.snap.1499456874.44' does not exist in base imag     e='volume-ebf16d3c-deb8-4168-9dfd-50d386860d42.backup.base' - aborting incremental backup
9206 Jul 07 15:49:26 localhost.localdomain cinder-backup[23880]: DEBUG cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77     -78d2280621ed admin None] Forcing full backup of volume ebf16d3c-deb8-4168-9dfd-50d386860d42. {{(pid=23880) backup /opt/stack/     cinder/cinder/backup/drivers/ceph.py:905}}
9207 Jul 07 15:49:26 localhost.localdomain cinder-backup[23880]: DEBUG cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77     -78d2280621ed admin None] Creating backup base image='volume-ebf16d3c-deb8-4168-9dfd-50d386860d42.backup.7f27f402-31cb-49fc-ad     75-a52d6a5252aa' for volume ebf16d3c-deb8-4168-9dfd-50d386860d42. {{(pid=23880) _full_backup /opt/stack/cinder/cinder/backup/d     rivers/ceph.py:736}}
9208 Jul 07 15:49:27 localhost.localdomain cinder-backup[23880]: DEBUG cinder.backup.drivers.ceph [None req-e8adeca3-4dc7-427f-8a77     -78d2280621ed admin None] Copying data from volume ebf16d3c-deb8-4168-9dfd-50d386860d42. {{(pid=23880) _full_backup /opt/stack     /cinder/cinder/backup/drivers/ceph.py:745}}


Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. cinder backup-create 7f27f402-31cb-49fc-ad75-a52d6a5252aa (should create full backup)
2. cinder backup-create 7f27f402-31cb-49fc-ad75-a52d6a5252aa --force --incremental (should create incremental backup)
3. cinder backup-delete 3c4d0b03-1aee-4a3b-8386-0050befd0ffc (the backup ID of the backup created in step 2)
3. cinder backup-create 7f27f402-31cb-49fc-ad75-a52d6a5252aa --force --incremental (should create incremental because it still should have other snapshots to create an incremental backup from but instead creates a full backup without any warning to the user)
Comment 5 Avi Avraham 2017-07-27 10:49:56 EDT
After talking with Chaynika this bug need to be verified with Ceph backend 
This parameter was not clear from the bug description

Note You need to log in before you can comment on or make changes to this bug.